Index: /trunk/stitch-examples/stitch-3linear-ddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-3linear-ddc.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-3linear-ddc.rspec	(revision 2758)
@@ -35,6 +35,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-utah:if1"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
-    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+    <property capacity="20000" source_id="ig-gpo:if0" dest_id="pg-utah:if1" />
+    <property capacity="20000" source_id="pg-utah:if1" dest_id="ig-gpo:if0" />
   </link>
   <link client_id="link1">
@@ -43,6 +43,6 @@
     <interface_ref client_id="ig-utahddc:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-utahddc:if0" capacity="100000"/>
-    <property source_id="ig-utahddc:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property capacity="20000" source_id="pg-utah:if0" dest_id="ig-utahddc:if0" />
+    <property capacity="20000" source_id="ig-utahddc:if0" dest_id="pg-utah:if0" />
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-3linear-vz.rspec
===================================================================
--- /trunk/stitch-examples/stitch-3linear-vz.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-3linear-vz.rspec	(revision 2758)
@@ -38,6 +38,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-utah:if1"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
-    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="20000"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="20000"/>
   </link>
   <link client_id="link1">
@@ -46,6 +46,6 @@
     <interface_ref client_id="ig-utah:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
-    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-3linear-xen.rspec
===================================================================
--- /trunk/stitch-examples/stitch-3linear-xen.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-3linear-xen.rspec	(revision 2758)
@@ -35,6 +35,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-utah:if1"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
-    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="20000"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="20000"/>
   </link>
   <link client_id="link1">
@@ -43,6 +43,6 @@
     <interface_ref client_id="ig-utah:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
-    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-3linear.rspec
===================================================================
--- /trunk/stitch-examples/stitch-3linear.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-3linear.rspec	(revision 2758)
@@ -38,6 +38,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-utah:if1"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
-    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="20000"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="20000"/>
   </link>
   <link client_id="link1">
@@ -46,6 +46,6 @@
     <interface_ref client_id="ig-utah:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
-    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-4linear.rspec
===================================================================
--- /trunk/stitch-examples/stitch-4linear.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-4linear.rspec	(revision 2758)
@@ -50,6 +50,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-utah:if1"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="100000"/>
-    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="100000"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if1" capacity="20000"/>
+    <property source_id="pg-utah:if1" dest_id="ig-gpo:if0" capacity="20000"/>
  </link>
  <link client_id="link1">
@@ -58,6 +58,6 @@
     <interface_ref client_id="ig-utah:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
-    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="20000"/>
  </link>
  <link client_id="link2"> 
@@ -66,6 +66,6 @@
     <interface_ref client_id="ig-gpo:if0"/> 
     <interface_ref client_id="pg-uky:if0"/> 
-    <property source_id="ig-gpo:if1" dest_id="pg-uky:if0" capacity="100000"/> 
-    <property source_id="pg-uky:if0" dest_id="ig-gpo:if1" capacity="100000"/>
+    <property source_id="ig-gpo:if1" dest_id="pg-uky:if0" capacity="20000"/> 
+    <property source_id="pg-uky:if0" dest_id="ig-gpo:if1" capacity="20000"/>
  </link> 
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-ig-nysernet.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-ig-nysernet.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-gpo-ig-nysernet.rspec	(revision 2758)
@@ -25,6 +25,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="ig-nyse:if0"/>
-    <property source_id="ig-gpo:if0" dest_id="ig-nyse:if0" />
-    <property source_id="ig-nyse:if0" dest_id="ig-gpo:if0" />
+    <property capacity="20000" source_id="ig-gpo:if0" dest_id="ig-nyse:if0" />
+    <property capacity="20000" source_id="ig-nyse:if0" dest_id="ig-gpo:if0" />
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-ig-utah-xen.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-ig-utah-xen.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-gpo-ig-utah-xen.rspec	(revision 2758)
@@ -1,30 +1,28 @@
-<rspec xmlns="http://www.geni.net/resources/rspec/3"
-       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-       xmlns:sharedvlan="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
-       xmlns:stitch="http://hpn.east.isi.edu/rspec/ext/stitch/0.1/"
-       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
-                        http://www.geni.net/resources/rspec/3/request.xsd
-                        http://hpn.east.isi.edu/rspec/ext/stitch/0.1/
-                        http://hpn.east.isi.edu/rspec/ext/stitch/0.1/stitch-schema.xsd"
-       type="request">
-  <node client_id="ig-gpo-xen" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="true">
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
     <sliver_type name="emulab-xen"/>
-    <interface client_id="ig-gpo-xen:if0">
-      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
   </node>
-  <node client_id="ig-utah-xen" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="true">
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-xen"/>
-    <interface client_id="ig-utah-xen:if0">
-      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
     </interface>
   </node>
-  <link client_id="link0">
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
     <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
-    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
-    <interface_ref client_id="ig-utah-xen:if0"/>
-    <interface_ref client_id="ig-gpo-xen:if0"/>
-    <property source_id="ig-utah-xen:if0" dest_id="ig-gpo-xen:if0"/>
-    <property source_id="ig-gpo-xen:if0" dest_id="ig-utah-xen:if0"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="ig-gpo:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-ig-utah.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-gpo-ig-utah.rspec	(revision 2758)
@@ -33,6 +33,6 @@
     <interface_ref client_id="server-gpo:if0"/>
     <interface_ref client_id="client-utah:if0"/>
-    <property source_id="server-gpo:if0" dest_id="client-utah:if0" capacity="100000"/>
-    <property source_id="client-utah:if0" dest_id="server-gpo:if0" capacity="100000"/>
+    <property capacity="20000" source_id="server-gpo:if0" dest_id="client-utah:if0" />
+    <property capacity="20000" source_id="client-utah:if0" dest_id="server-gpo:if0" />
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-ig-utahddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-ig-utahddc.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-gpo-ig-utahddc.rspec	(revision 2758)
@@ -1,4 +1,4 @@
-?xml version="1.0" encoding="UTF-8"?>
-spec type="request" 
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
 	xmlns="http://www.geni.net/resources/rspec/3" 
 	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
@@ -24,6 +24,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="ig-utahddc:if0"/>
-    <property source_id="ig-gpo:if0" dest_id="ig-utahddc:if0" capacity="100000"/>
-    <property source_id="ig-utahddc:if0" dest_id="ig-gpo:if0" capacity="100000"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-utahddc:if0" capacity="20000"/>
+    <property source_id="ig-utahddc:if0" dest_id="ig-gpo:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-pg-uky.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-gpo-pg-uky.rspec	(revision 2758)
@@ -27,6 +27,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-uky:if0"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-uky:if0"/>
-    <property source_id="pg-uky:if0" dest_id="ig-gpo:if0"/>
+    <property capacity="20000" source_id="ig-gpo:if0" dest_id="pg-uky:if0"/>
+    <property capacity="20000" source_id="pg-uky:if0" dest_id="ig-gpo:if0"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-pg-utah-xen-pc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-pg-utah-xen-pc.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-gpo-pg-utah-xen-pc.rspec	(revision 2758)
@@ -27,6 +27,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0"/>
+    <property capacity="20000" source_id="ig-gpo:if0" dest_id="pg-utah:if0"/>
+    <property capacity="20000" source_id="pg-utah:if0" dest_id="ig-gpo:if0"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-gpo-pg-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-gpo-pg-utah.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-gpo-pg-utah.rspec	(revision 2758)
@@ -27,6 +27,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0" capacity="1000000"/>
-    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0" capacity="1000000"/>
+    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0" capacity="200000"/>
+    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0" capacity="200000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-miss-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-miss-ig-utah.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-miss-ig-utah.rspec	(revision 2758)
@@ -27,6 +27,6 @@
     <interface_ref client_id="miss:if0"/>
     <interface_ref client_id="ig-utah:if0"/>
-    <property source_id="miss:if0" dest_id="ig-utah:if0" capacity="100000"/>
-    <property source_id="ig-utah:if0" dest_id="miss:if0" capacity="100000"/>
+    <property source_id="miss:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="miss:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-miss-ig-utahddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-miss-ig-utahddc.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-miss-ig-utahddc.rspec	(revision 2758)
@@ -27,6 +27,6 @@
     <interface_ref client_id="miss:if0"/>
     <interface_ref client_id="ig-utah:if0"/>
-    <property source_id="miss:if0" dest_id="ig-utah:if0" capacity="100000"/>
-    <property source_id="ig-utah:if0" dest_id="miss:if0" capacity="100000"/>
+    <property source_id="miss:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="miss:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-miss-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-miss-pg-uky.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-miss-pg-uky.rspec	(revision 2758)
@@ -26,6 +26,6 @@
     <interface_ref client_id="miss:if0"/>
     <interface_ref client_id="pg-uky:if0"/>
-    <property source_id="miss:if0" dest_id="pg-uky:if0" />
-    <property source_id="pg-uky:if0" dest_id="miss:if0" />
+    <property capacity="20000" source_id="miss:if0" dest_id="pg-uky:if0" />
+    <property capacity="20000" source_id="pg-uky:if0" dest_id="miss:if0" />
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-miss-pg-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-miss-pg-utah.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-miss-pg-utah.rspec	(revision 2758)
@@ -26,6 +26,6 @@
     <interface_ref client_id="miss:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="miss:if0" dest_id="pg-utah:if0" />
-    <property source_id="pg-utah:if0" dest_id="miss:if0" />
+    <property capacity="20000" source_id="miss:if0" dest_id="pg-utah:if0" />
+    <property capacity="20000" source_id="pg-utah:if0" dest_id="miss:if0" />
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-ig-miss.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-ig-miss.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-nyse-ig-miss.rspec	(revision 2758)
@@ -27,6 +27,6 @@
     <interface_ref client_id="nyse:if0"/>
     <interface_ref client_id="miss:if0"/>
-    <property source_id="nyse:if0" dest_id="miss:if0" capacity="100000"/>
-    <property source_id="miss:if0" dest_id="nyse:if0" capacity="100000"/>
+    <property source_id="nyse:if0" dest_id="miss:if0" capacity="20000"/>
+    <property source_id="miss:if0" dest_id="nyse:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-ig-utah.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-nyse-ig-utah.rspec	(revision 2758)
@@ -26,6 +26,6 @@
     <interface_ref client_id="nyse:if0"/>
     <interface_ref client_id="ig-utah:if0"/>
-    <property source_id="nyse:if0" dest_id="ig-utah:if0" capacity="100000"/>
-    <property source_id="ig-utah:if0" dest_id="nyse:if0" capacity="100000"/>
+    <property source_id="nyse:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="nyse:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-ig-utahddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-ig-utahddc.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-nyse-ig-utahddc.rspec	(revision 2758)
@@ -24,6 +24,6 @@
     <interface_ref client_id="nyse:if0"/>
     <interface_ref client_id="ig-utahddc:if0"/>
-    <property source_id="nyse:if0" dest_id="ig-utahddc:if0" capacity="100000"/>
-    <property source_id="ig-utahddc:if0" dest_id="nyse:if0" capacity="100000"/>
+    <property source_id="nyse:if0" dest_id="ig-utahddc:if0" capacity="20000"/>
+    <property source_id="ig-utahddc:if0" dest_id="nyse:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-pg-uky.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-nyse-pg-uky.rspec	(revision 2758)
@@ -26,6 +26,6 @@
     <interface_ref client_id="nyse:if0"/>
     <interface_ref client_id="pg-uky:if0"/>
-    <property source_id="nyse:if0" dest_id="pg-uky:if0" capacity="100000"/>
-    <property source_id="pg-uky:if0" dest_id="nyse:if0" capacity="100000"/>
+    <property source_id="nyse:if0" dest_id="pg-uky:if0" capacity="20000"/>
+    <property source_id="pg-uky:if0" dest_id="nyse:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-nyse-pg-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-nyse-pg-utah.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-nyse-pg-utah.rspec	(revision 2758)
@@ -26,6 +26,6 @@
     <interface_ref client_id="nyse:if0"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="nyse:if0" dest_id="pg-utah:if0" capacity="100000"/>
-    <property source_id="pg-utah:if0" dest_id="nyse:if0" capacity="100000"/>
+    <property source_id="nyse:if0" dest_id="pg-utah:if0" capacity="20000"/>
+    <property source_id="pg-utah:if0" dest_id="nyse:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-utahddc-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-utahddc-ig-utah.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-utahddc-ig-utah.rspec	(revision 2758)
@@ -23,6 +23,6 @@
     <interface_ref client_id="ig-utahddc:if0"/>
     <interface_ref client_id="ig-utah:if0"/>
-    <property source_id="ig-utahddc:if0" dest_id="ig-utah:if0"/>
-    <property source_id="ig-utah:if0" dest_id="ig-utahddc:if0"/>
+    <property capacity="20000" source_id="ig-utahddc:if0" dest_id="ig-utah:if0"/>
+    <property capacity="20000" source_id="ig-utah:if0" dest_id="ig-utahddc:if0"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-ig-utahddc-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-ig-utahddc-pg-uky.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-ig-utahddc-pg-uky.rspec	(revision 2758)
@@ -27,6 +27,6 @@
     <interface_ref client_id="ig-utahddc:if0"/>
     <interface_ref client_id="pg-uky:if0"/>
-    <property source_id="ig-utahddc:if0" dest_id="pg-uky:if0" capacity="100000" />
-    <property source_id="pg-uky:if0" dest_id="ig-utahddc:if0" capacity="100000" />
+    <property source_id="ig-utahddc:if0" dest_id="pg-uky:if0" capacity="20000" />
+    <property source_id="pg-uky:if0" dest_id="ig-utahddc:if0" capacity="20000" />
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-pg-uky-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-uky-ig-utah.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-pg-uky-ig-utah.rspec	(revision 2758)
@@ -25,6 +25,6 @@
     <interface_ref client_id="pg-uky:if0"/>
     <interface_ref client_id="ig-utah:if0"/>
-    <property source_id="pg-uky:if0" dest_id="ig-utah:if0" capacity="100000"/>
-    <property source_id="ig-utah:if0" dest_id="pg-uky:if0" capacity="100000"/>
+    <property source_id="pg-uky:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-uky:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-gpo.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-gpo.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-gpo.rspec	(revision 2758)
@@ -24,6 +24,6 @@
     <interface_ref client_id="pg-utah:if0"/>
     <interface_ref client_id="ig-gpo:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-gpo:if0"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-utah:if0"/>
+    <property capacity="20000" source_id="pg-utah:if0" dest_id="ig-gpo:if0"/>
+    <property capacity="20000" source_id="ig-gpo:if0" dest_id="pg-utah:if0"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc-xen.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc-xen.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc-xen.rspec	(revision 2758)
@@ -23,6 +23,6 @@
     <interface_ref client_id="pg-utah:if0"/>
     <interface_ref client_id="ig-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="1000000" />
-    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="1000000" />
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="200000" />
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="200000" />
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah-pc.rspec	(revision 2758)
@@ -23,6 +23,6 @@
     <interface_ref client_id="pg-utah:if0"/>
     <interface_ref client_id="ig-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="100000"/>
-    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="100000"/>
+    <property source_id="pg-utah:if0" dest_id="ig-utah:if0" capacity="20000"/>
+    <property source_id="ig-utah:if0" dest_id="pg-utah:if0" capacity="20000"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah-xen.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah-xen.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah-xen.rspec	(revision 2758)
@@ -25,6 +25,6 @@
     <interface_ref client_id="pg-utah:if0"/>
     <interface_ref client_id="ig-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-utah:if0"/>
-    <property source_id="ig-utah:if0" dest_id="pg-utah:if0"/>
+    <property capacity="20000" source_id="pg-utah:if0" dest_id="ig-utah:if0"/>
+    <property capacity="20000" source_id="ig-utah:if0" dest_id="pg-utah:if0"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-ig-utah.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-ig-utah.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-pg-utah-ig-utah.rspec	(revision 2758)
@@ -25,6 +25,6 @@
     <interface_ref client_id="pg-utah:if0"/>
     <interface_ref client_id="ig-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-utah:if0"/>
-    <property source_id="ig-utah:if0" dest_id="pg-utah:if0"/>
+    <property capacity="20000" source_id="pg-utah:if0" dest_id="ig-utah:if0"/>
+    <property capacity="20000" source_id="ig-utah:if0" dest_id="pg-utah:if0"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-pg-utah-pg-uky.rspec
===================================================================
--- /trunk/stitch-examples/stitch-pg-utah-pg-uky.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-pg-utah-pg-uky.rspec	(revision 2758)
@@ -27,6 +27,6 @@
     <interface_ref client_id="pg-utah:if0"/>
     <interface_ref client_id="pg-uky:if0"/>
-    <property source_id="pg-utah:if0" dest_id="pg-uky:if0" />
-    <property source_id="pg-uky:if0" dest_id="pg-utah:if0" />
+    <property capacity="20000" source_id="pg-utah:if0" dest_id="pg-uky:if0" />
+    <property capacity="20000" source_id="pg-uky:if0" dest_id="pg-utah:if0" />
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-star-ddc.rspec
===================================================================
--- /trunk/stitch-examples/stitch-star-ddc.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-star-ddc.rspec	(revision 2758)
@@ -8,17 +8,17 @@
 	http://www.geni.net/resources/rspec/3/request.xsd">  
 
-  <node client_id="ig-uthaddc" component_manager_id="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm" exclusive="false">
+  <node client_id="ig-utahddc" component_manager_id="urn:publicid:IDN+utahddc.geniracks.net+authority+cm" exclusive="false">
     <sliver_type name="emulab-xen"/>
      <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
-    <interface client_id="ig-uthaddc:if0">
+    <interface client_id="ig-utahddc:if0">
       <ip address="192.168.0.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
-    <interface client_id="ig-uthaddc:if1">
+    <interface client_id="ig-utahddc:if1">
       <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
-   <interface client_id="ig-uthaddc:if2">
+   <interface client_id="ig-utahddc:if2">
       <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
-   <interface client_id="ig-uthaddc:if3">
+   <interface client_id="ig-utahddc:if3">
       <ip address="192.168.3.1" netmask="255.255.255.0" type="ipv4"/>
     </interface>
@@ -53,34 +53,34 @@
   </node>
   <link client_id="link-2-pgky">
-    <component_manager name="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utahddc.geniracks.net+authority+cm"/>
     <component_manager name="urn:publicid:IDN+uky.emulab.net+authority+cm"/>
-    <interface_ref client_id="ig-uthaddc:if0"/>
+    <interface_ref client_id="ig-utahddc:if0"/>
     <interface_ref client_id="pg-uky:if0"/>
-    <property source_id="ig-uthaddc:if0" dest_id="pg-uky:if0"/>
-    <property source_id="pg-uky:if0" dest_id="ig-uthaddc:if0"/>
+    <property capacity="20000" source_id="ig-utahddc:if0" dest_id="pg-uky:if0"/>
+    <property capacity="20000" source_id="pg-uky:if0" dest_id="ig-utahddc:if0"/>
   </link>
   <link client_id="link-2-iggpo">
-    <component_manager name="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm"/> 
+    <component_manager name="urn:publicid:IDN+utahddc.geniracks.net+authority+cm"/> 
     <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="ig-utahddc:if1"/>
-    <property source_id="ig-gpo:if0" dest_id="ig-uthaddc:if1"/>
-    <property source_id="ig-uthaddc:if1" dest_id="ig-gpo:if0"/>
+    <property capacity="20000" source_id="ig-gpo:if0" dest_id="ig-utahddc:if1"/>
+    <property capacity="20000" source_id="ig-utahddc:if1" dest_id="ig-gpo:if0"/>
   </link> 
-  <link client_id="link-2-pgutha">
-    <component_manager name="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm"/>
+  <link client_id="link-2-pgutah">
+    <component_manager name="urn:publicid:IDN+utahddc.geniracks.net+authority+cm"/>
     <component_manager name="urn:publicid:IDN+emulab.net+authority+cm"/>
-    <interface_ref client_id="ig-uthaddc:if2"/>
+    <interface_ref client_id="ig-utahddc:if2"/>
     <interface_ref client_id="pg-utah:if0"/>
-    <property source_id="pg-utah:if0" dest_id="ig-uthaddc:if1"/>
-    <property source_id="ig-uthaddc:if1" dest_id="pg-utah:if0"/>
+    <property capacity="20000" source_id="pg-utah:if0" dest_id="ig-utahddc:if1"/>
+    <property capacity="20000" source_id="ig-utahddc:if1" dest_id="pg-utah:if0"/>
   </link>
   <link client_id="link-2-igutah">
-   <component_manager name="urn:publicid:IDN+uthaddc.geniracks.net+authority+cm"/>
+   <component_manager name="urn:publicid:IDN+utahddc.geniracks.net+authority+cm"/>
    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
-   <interface_ref client_id="ig-uthaddc:if3"/>
-   <interface_ref client_id="pg-utah:if0"/>
-   <property source_id="ig-utah:if0" dest_id="ig-uthaddc:if3"/>
-   <property source_id="ig-uthaddc:if3" dest_id="ig-utah:if0"/>
+   <interface_ref client_id="ig-utahddc:if3"/>
+   <interface_ref client_id="ig-utah:if0"/>
+   <property capacity="20000" source_id="ig-utah:if0" dest_id="ig-utahddc:if3"/>
+   <property capacity="20000" source_id="ig-utahddc:if3" dest_id="ig-utah:if0"/>
   </link>
 </rspec>
Index: /trunk/stitch-examples/stitch-triangle.rspec
===================================================================
--- /trunk/stitch-examples/stitch-triangle.rspec	(revision 2631)
+++ /trunk/stitch-examples/stitch-triangle.rspec	(revision 2758)
@@ -46,6 +46,6 @@
     <interface_ref client_id="ig-utah:if0"/>
     <interface_ref client_id="pg-uky:if0"/>
-    <property source_id="ig-utah:if0" dest_id="pg-uky:if0"/>
-    <property source_id="pg-uky:if0" dest_id="ig-utah:if0"/>
+    <property capacity="20000" source_id="ig-utah:if0" dest_id="pg-uky:if0"/>
+    <property capacity="20000" source_id="pg-uky:if0" dest_id="ig-utah:if0"/>
   </link>
 
@@ -55,6 +55,6 @@
     <interface_ref client_id="ig-gpo:if0"/>
     <interface_ref client_id="pg-uky:if1"/>
-    <property source_id="ig-gpo:if0" dest_id="pg-uky:if1"/>
-    <property source_id="pg-uky:if1" dest_id="ig-gpo:if0"/>
+    <property capacity="20000" source_id="ig-gpo:if0" dest_id="pg-uky:if1"/>
+    <property capacity="20000" source_id="pg-uky:if1" dest_id="ig-gpo:if0"/>
   </link> 
 
@@ -64,6 +64,6 @@
     <interface_ref client_id="ig-gpo:if1"/>
     <interface_ref client_id="ig-utah:if1"/>
-    <property source_id="ig-gpo:if1" dest_id="ig-utah:if1"/>
-    <property source_id="ig-utah:if1" dest_id="ig-gpo:if1"/>
+    <property capacity="20000" source_id="ig-gpo:if1" dest_id="ig-utah:if1"/>
+    <property capacity="20000" source_id="ig-utah:if1" dest_id="ig-gpo:if1"/>
   </link>
 
